#pragma once
#include <stdint.h>

namespace mini
{
    namespace map
    {
        void init();
        void quit();
        
        namespace surf {
            void set(uint8_t surface);
            uint8_t get();
        }
        void draw(); //int celx, int cely, int sx, int sy, uint8_t celw, uint8_t celh, uint8_t layer=0);

        namespace tile {
            uint8_t get(int celx, int cely);
            void set(int celx, int cely, uint8_t snum);
        }

        namespace cell {
            uint8_t getw();
            uint8_t geth();
            void set(int w, int h);
        }
    }
}
